#!/bin/sh
param_list="$*"


FILTERDIR="/opt/toshiba/tap/interface"
switch=""
title=""
printer=""
user=$HOST!$LOGNAME
number_of_copies="1"
option_list=""
using_stdin="no"

for i in ${param_list}
do
	case ${i} in
	
		-c | -m | -s | -w)
			echo $i " Command does not exist :"
			;;
		-d)
			switch="d"
			shift
			;;
		-n)
			switch="n"
			shift
			;;
		-o)
			switch="o"
			shift
			;;
		-t)
			switch="t"
			shift
			;;
		*)
			if [ -n "${switch}" ]
			then
				param=${i}
			else
				if [ `expr substr ${i} 1 1` != "-" ]
				then
					continue
				fi
				switch=`expr substr $i 2 1`
				param=`expr substr $i 3 20`
				echo $switch $param
			fi
			shift
		
			case ${switch} in
			d)
				printer="$param"
				#echo "-d" $param >> /home/brownlee/temp.log
				;;
			n)
				number_of_copies="$param"
				#echo "-n" $param >> /home/brownlee/temp.log
				;;
			t)
				title="$param"
				#echo "-t" $param >> /home/brownlee/temp.log
				;;
			o)
				option_list="${option_list} ${param}"
				#echo "-o" $param >> /home/brownlee/temp.log
				;;
			esac
			switch=""
			;;
	esac
done
  
files="$*"
request=${printer}-$$

#
#if no printer - exit
#
if [ -z "${printer}" ]
then
	echo "Fatal Error - No printer assigned !!!"
	exit
fi
#
#if no files assume stdin
#
if [ -z "${files}" ]
then
	files=`mktemp /tmp/lptap.XXXXXX`
	if [ -z "${title}" ]
	then
		title="Stdin"
	fi
	using_stdin="yes"
	cat $stdin > $files
fi

#
#if no title given (and not stdin), use first file name
#
if [ -z "${title}" ]
then
	title=$i
fi

#echo "Printer =" ${printer} 
echo "Request id =" ${request}
#echo "User =" ${user}
#echo "Title =" ${title}
#echo "Number of copies =" ${number_of_copies}
#echo "Options =" ${option_list}
#echo "Files =" ${files}


command="${FILTERDIR}/$printer"
${command} ${request} ${user} ${title} ${number_of_copies} "${option_list}" ${files}
if [ "${using_stdin}" = "yes" ]
then
	rm $files
fi
